"use strict";
exports.__esModule = true;
exports.toRollup = void 0;
var path = require("path");
/**
 * Generates the configuration for the `@rollup/plugin-alias` plugin
 * with the given path alias.
 */
function toRollup(alias) {
    var entries = Object.entries(alias).map(function (_a) {
        var name = _a[0], modulePath = _a[1];
        return {
            find: name,
            replacement: path.resolve(process.cwd(), modulePath)
        };
    });
    return {
        entries: entries
    };
}
exports.toRollup = toRollup;
