"use strict";
exports.__esModule = true;
exports.toWebpackConfig = void 0;
var path = require("path");
/**
 * Generates a partial webpack configuration to enable given alias.
 * @see https://webpack.js.org/configuration/resolve/#resolvealias
 */
function toWebpackConfig(alias) {
    return {
        resolve: {
            alias: Object.entries(alias).reduce(function (config, _a) {
                var name = _a[0], value = _a[1];
                config[name] = path.resolve(process.cwd(), value);
                return config;
            }, {})
        }
    };
}
exports.toWebpackConfig = toWebpackConfig;
